; 

      include \masm32\include\masm32rt.inc
      include \masm32\include\dialogs.inc

      MainDlgProc PROTO :DWORD,:DWORD,:DWORD,:DWORD 

    .data?
        hInstance dd ?

    .code

; 

start:
    mov hInstance, FUNC(GetModuleHandle,NULL)
    call main
    invoke ExitProcess,eax

; 

main proc

    Dialog "Centered Images", \             ; caption
           "MS Sans Serif",8, \             ; font,pointsize
            WS_OVERLAPPED or \              ; styles for
            WS_SYSMENU or DS_CENTER, \      ; dialog window
            3, \                            ; number of controls
            50,50,150,80, \                 ; x y co-ordinates
            1024                            ; memory buffer size

    DlgBitmapEx 5,5,0,65,65,999
    DlgIconEx 10,90,10,30,30,998
    DlgButton "Cancel",WS_TABSTOP,85,45,50,12,IDCANCEL

    CallModalDialog hInstance,0,MainDlgProc,NULL

    ret

main endp

; 

MainDlgProc proc hWin:DWORD,uMsg:DWORD,wParam:DWORD,lParam:DWORD 

    .if uMsg == WM_INITDIALOG
      invoke SendMessage,hWin,WM_SETICON,1,rv(LoadIcon,hInstance,10)

    .elseif uMsg == WM_COMMAND
      .if wParam == IDCANCEL
        jmp quit_dialog
      .endif

    .elseif uMsg == WM_CLOSE
      quit_dialog:
       invoke EndDialog,hWin,0

    .endif

    xor eax, eax
    ret

MainDlgProc endp

; 

end start
